Browse files

rspec >= 2.5.0 instead of ~> 2.5.0

  • Loading branch information...
1 parent fd00ce1 commit 9d653ea84c6df1b903a354dfcf0f4720359498d8 @jmettraux jmettraux committed Jun 11, 2012
Showing with 12 additions and 14 deletions.
  1. +9 −9 Gemfile.lock
  2. +3 −5 ruote-kit.gemspec
View
18 Gemfile.lock
@@ -37,14 +37,14 @@ GEM
rack
rack-test (0.5.7)
rack (>= 1.0)
- rspec (2.5.0)
- rspec-core (~> 2.5.0)
- rspec-expectations (~> 2.5.0)
- rspec-mocks (~> 2.5.0)
- rspec-core (2.5.2)
- rspec-expectations (2.5.0)
- diff-lcs (~> 1.1.2)
- rspec-mocks (2.5.0)
+ rspec (2.10.0)
+ rspec-core (~> 2.10.0)
+ rspec-expectations (~> 2.10.0)
+ rspec-mocks (~> 2.10.0)
+ rspec-core (2.10.1)
+ rspec-expectations (2.10.0)
+ diff-lcs (~> 1.1.3)
+ rspec-mocks (2.10.1)
ruby2ruby (1.3.1)
ruby_parser (~> 2.0)
sexp_processor (~> 3.0)
@@ -85,7 +85,7 @@ PLATFORMS
DEPENDENCIES
rack-test (= 0.5.7)
- rspec (~> 2.5.0)
+ rspec (>= 2.5.0)
ruote!
ruote-kit!
webrat (= 0.7.3)
View
8 ruote-kit.gemspec
@@ -1,6 +1,6 @@
# encoding: utf-8
-$:.push File.expand_path("../lib", __FILE__)
-require "ruote-kit/version"
+$:.push File.expand_path('../lib', __FILE__)
+require 'ruote-kit/version'
Gem::Specification.new do |s|
@@ -24,8 +24,6 @@ ruote workflow engine, wrapped in a loving rack embrace
'lib/ruote-kit/public/**/*', 'lib/ruote-kit/views/**/*'
] - [ 'rails-template.rb' ]
- #s.add_runtime_dependency 'sinatra', '~> 1.2.0'
- #s.add_runtime_dependency 'sinatra-respond_to', '~> 0.7.0'
s.add_runtime_dependency 'sinatra', '>= 1.2.0'
s.add_runtime_dependency 'sinatra-respond_to', '>= 0.7.0'
@@ -36,7 +34,7 @@ ruote workflow engine, wrapped in a loving rack embrace
s.add_runtime_dependency('ruote', '>= 2.2.0') unless defined?(Bundler)
# see Gemfile
- s.add_development_dependency 'rspec', '~> 2.5.0'
+ s.add_development_dependency 'rspec', '>= 2.5.0'
s.add_development_dependency 'rack-test', '0.5.7'
s.add_development_dependency 'webrat', '0.7.3'

0 comments on commit 9d653ea

Please sign in to comment.